Index: FL/Fl_Browser.H
===================================================================
--- FL/Fl_Browser.H	(Revision 84)
+++ FL/Fl_Browser.H	(Arbeitskopie)
@@ -85,6 +85,7 @@
   int cacheline;		// line number of cache
   int lines;                	// Number of lines
   int full_height_;
+  int old_textsize_;            // textsize_ that was used when calculating full_height_
   const int* column_widths_;
   char format_char_;		// alternative to @-sign
   char column_char_;		// alternative to tab
Index: src/Fl_Browser.cxx
===================================================================
--- src/Fl_Browser.cxx	(Revision 84)
+++ src/Fl_Browser.cxx	(Arbeitskopie)
@@ -480,6 +480,11 @@
        incr_height(), full_height()
 */
 int Fl_Browser::full_height() const {
+  if(old_textsize_!=textsize()) {
+    // textsize has changed, therefore, re-calculate full_height from scratch
+    ((Fl_Browser *)this)->old_textsize_=textsize();
+    ((Fl_Browser *)this)->full_height_=Fl_Browser_::full_height();
+  }
   return full_height_;
 }
 
@@ -603,6 +608,7 @@
   column_widths_ = no_columns;
   lines = 0;
   full_height_ = 0;
+  old_textsize_= 0;
   cacheline = 0;
   format_char_ = '@';
   column_char_ = '\t';
